@import url('https://fonts.googleapis.com/css?family=Poppins:400,700,900');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Poppins, sans-serif;
    border: none;
    outline: none;
    text-decoration: none;
    scroll-behavior: smooth;
}

:root {
    --bg-color: #161922;
    --sec-color: #191D28;
    --text-color: #fff;
    --main-color: #FFCC73;
}
html{
    font-size: 62.5%;
    overflow-x: hidden;
}
body{
    background-color: var(--bg-color);
    color: var(--text-color);
}

header {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    padding: 15px 10%;
    background-color: var(--bg-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    box-shadow: 0 10px 10px rgba(0, 0, 0, .1);
}

header i{
    font-size: 3rem;
    color: var(--text-color);
}

#menu-icon,
#x-icon{
    display: none;
    
}

header.sticky {
    border-bottom: rgba(0, 0, 0, .1);
}

.head .logo {
    font-size: 30px;
    color: var(--text-color);
    font-weight: 550;
    text-decoration: none !important;

}

@keyframes slideLeft {
    0%{
        opacity: 0;
        transform: translateX(-80px);
    }
    100%{
        opacity: 1;
        transform: translateX(0);
    }
    
}
.navbar a {
    color: var(--text-color);
    font-size: 18px;
    margin-left: 25px;
    transition: .5s ease;
    text-decoration: none !important;
      
}

.navbar a:hover,
.navbar .active {
    color: var(--main-color);
}

section {
    min-height: 100vh;
    padding: 8rem clamp(1rem, 8vw, 10%) 2rem;

    /* display: flex !important;
    flex-direction: column !important;
    align-items: center !important;
    justify-content: center !important;
     */
}
.container,.services-content{
    height: 70vh;
    justify-items: center;
    align-content: center;
}
.contact{
    display: flex !important;
    flex-direction: column !important;
    align-items: center !important;
    justify-content: center !important;
    gap: 50px;
}
.home {
    display: flex;
    justify-content: center;
    align-items: center;
}

.home-content {
    color: var(--text-color);
    padding-right: 100px;
}

.home-content h3 {
    font-size: 30px;
    font-weight: bold !important;
}

.home-content h3 span {
    color: var(--main-color);
}

.home-content h1 {
    font-size: 40px;
    font-weight: bold !important;
}

.home-content p {
    font-size: 18px;
    padding: 10px 0;
    padding-bottom: 15px;
}

.icons {
    display: flex;
    padding-bottom: 15px;

}

.icons a {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 11px;
    border-radius: 50%;
    border: 2px solid var(--main-color);
    text-decoration: none;
    outline: none;
    color: var(--main-color);
    font-size: 22px;
    transition: .3s ease;
    animation: slideLeft .5s ease forwards;
    opacity: 0;
    animation-delay: calc(.1s *var(--i));
}

.icons a:hover {
    box-shadow: 0 0 10px var(--main-color);
    color: var(--bg-color);
    background-color: var(--main-color);
    transform: scale(1.2);
}

.btn {
    width: 200px;
    height: 50px;
    font-size: 16px;
    background-color: var(--main-color);
    border-radius: 25px;
    color: var(--bg-color);
    box-shadow: 0 0 10px var(--main-color);
    outline: none;
    border: none;
}

.btn:hover {
    box-shadow: none;
    color: var(--text-color);
}

.atifimg {
    transform: scale(.95);
    border-radius: 50%;
}

.img-circle {
    border: 4px solid var(--main-color);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 10px 10px var(--main-color);
    
}
section:nth-of-type(even){
    background-color: #191D28;
}
section:nth-of-type(odd){
    background-color: #161922;
}


/* home section media queries */

@media (max-width: 1920px){
    .home-content{
        margin-right:200px;
        padding: 0;
        
    }
    #home-img{
        transform: scale(120%);
        margin-right: 2.3% ;
    }
    .home-content h3{
        font-size: 40px;
    }
    .home-content h1{
        font-size: 50px;
    }
    .home-content p{
        font-size: 22px;
    }
    .home-content .icons a{
        width: 40px;
        height: 40px;
        margin-right: 15px;
    }
}
@media (max-width:1400px){
    .home-content{
        margin-right:100px;
        padding: 0;
        
    }
    #home-img{
        transform: scale(100%);
        margin-right: 0 ;
    }
    .home-content h3{
        font-size: 30px;
    }
    .home-content h1{
        font-size: 40px;
    }
    .home-content p{
        font-size: 17px;
    }
    .home-content .icons a{
        transform: scale(100%);
        margin-right: 11px;
    } 
}
@media (max-width:1200px){
    .home-content{
        margin-right:0px;
        padding: 0;
        
    }
    #home-img{
        transform: scale(90%);
        margin-right: -15px ;
    }
    .home-content h3{
        font-size: 27px;
    }
    .home-content h1{
        font-size: 35px;
    }
    .home-content p{
        font-size: 15px;
    }
    .home-content .icons a{
        transform: scale(95%);
        margin-right: 9px;
    }
    .home .btn{
        transform: scale(90%);
        margin-left: -10px;        
    } 
}
@media (max-width:992px){
    section{
        padding: 10rem 5% 2rem;
    }
    header{
        padding: 15px 5%; 
    }
    .home-content{
        margin-right:0px;
        padding: 0;
        
    }
    #home-img{
        transform: scale(90%);
        margin-right: -15px ;
    }
    .home-content h3{
        font-size: 27px;
    }
    .home-content h1{
        font-size: 35px;
    }
    .home-content p{
        font-size: 15px;
    }
    .home-content .icons a{
        transform: scale(95%);
        margin-right: 9px;
    }
    .home .btn{
        transform: scale(90%);
        margin-left: -10px;        
    } 
}
@media (max-width:768px){
    
    .navbar{
        left: 0;
        top: 100%;
        position: absolute;
        width: 100%;
        box-shadow: 0 10px 10px rgba(0, 0, 0, .1);
        background-color: var(--sec-color);
        padding: 1rem 0;
        text-align: center;
       display: none;
    }
    .navbar.active
    {
        display: block;
    }
    .navbar a{
        display: block;
        padding: 1rem 0;
    }
    #menu-icon{
        display: block;
    }
    
    #home-img{
        transform: scale(70%);
        margin-right: -55px ;
    }
    .home-content h3{
        font-size: 25px;
    }
    .home-content h1{
        font-size: 30px;
    }
    .home-content p{
        font-size: 13px;
    }
    .home-content .icons a{
        transform: scale(85%);
        margin-right: 5px;
    }
    .home .btn{
        transform: scale(85%);
        margin-left: -12px;        
    }
    .home-content{
        margin-right: -60px ;
    } 
}
@media (max-width:576px){
    .home{
        flex-direction: column;
    }
    .services-content{
        height: 100%;
    }
    #home-img{
        transform: scale(80%);
        margin-right: -10px ;
    }
    .home-content{
        margin-right: 0px;
    }
}


/* about page design */
.about {
    background-color: var(--sec-color);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 7rem 12% 5rem;
}

.about-content {
    margin-left: 100px;
}

.about-content h1 {
    font-size: 40px;
}

span {
    color: var(--main-color);
}

.about-content p {
    font-size: 18px;
    padding: 2rem 0;
}

/* about section media queries */

@media (max-width:1920px){
    #about-img{
        transform: scale(120%);
        margin-left: 20px;
    }
    .about-content h1{
        font-size: 50px;
    }
    .about-content p{
        font-size: 22px;
    }
}
@media (max-width:1400px){
    #about-img{
        transform: scale(100%);
        margin-left: 0px;
    }
    .about-content h1{
        font-size: 40px;
    }
    .about-content p{
        font-size: 17px;
    }
}
@media (max-width:1200px){
    .about{
        padding: 8rem 12% 4rem;
    }
    #about-img{
        transform: scale(90%);
        margin-left: 0px;
    }
    .about-content h1{
        font-size: 35px;
    }
    .about-content p{
        font-size: 15px;
    }
    .about .btn{
        transform: scale(90%);
        margin-left: -10px;
    }
}
@media (max-width:992px){
    .about{
        padding: 7rem 5% 5rem;
    }
    .about-content{
        font-size: 15px;
        margin-left: 3rem;
    }
    
}
@media (max-width:768px){
    .about{
        padding: 7rem 5% 5rem;
    }
    #about-img{
        transform: scale(80%);
        margin-left: -30px;
    }
    .about-content{
        font-size: 15px;
        margin-left: 0;
    }
    .about-content p{
        padding: 3rem 0;
    }
}
@media (max-width:576px){
    .about{
        flex-direction: column-reverse;
    }
    .about-content p{
        padding: 2rem 0;
    }
    #about-img{
        transform: scale(80%);
        margin-left: 0px;
    }
}


/* services page design */
.services {
    width: 100%;
    color: var(--text-color);
    display: block;
    text-align: center;
}

.services .service-head {
    font-size: 40px;
}

.services-content {
    display: flex;
    padding: 50px 8% 30px 8%;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;

}

.service-box {
    border-radius: 20px;
    background-color: var(--sec-color);
    transition: .3s;
    box-shadow: 0 0 5px var(--main-color);
    padding: 3rem 2rem 4rem;
    flex: 1 1 30rem;
}

.service-box:hover {
    border: 2px solid var(--main-color);
    transform: scale(1.07);
}

.service-box i {
    font-size: 50px;
    color: var(--main-color);
    padding-top: 25px;
}

.service-box h1 {
    font-size: 25px;
}

.service-box p {
    font-size: 15px;
    padding: 10px 10px 30px 10px;
}

.services .btn {
    transform: scale(90%);
}

/* services section media queries */

@media (max-width:1920px){
    .services .service-head{
        font-size: 50px;
    }
    .service-box h1 {
        font-size: 30px;
    }
    .service-box p{
        font-size: 18px;
    }
    .service-box i{
        font-size: 70px;
    }
    .services .btn{
        font-size: 18px ;
    }
}
@media (max-width:1400px){
    .services .service-head{
        font-size: 40px;
    }
    .service-box h1 {
        font-size: 25px;
    }
    .service-box p{
        font-size: 15px;
    }
    .service-box i{
        font-size: 50px;
    }
    .services .btn{
        font-size: 15px ;
    }
}
@media (max-width:768px){
    .services-content{
        padding-left: 1rem;
        padding-right: 1rem;
    }
    .service-box h1 {
        font-size: 23px;
    }
    .service-box p{
        font-size: 13px;
    }
    .service-box i{
        font-size: 45px;
    }
    .services .btn{
        font-size: 15px ;
        transform: scale(80%);
    }
    .service-box{
        padding: 20px 20px 30px;
    }
}
@media (max-width:576px){
    .services-content{
        padding: 50px 4rem 30px;
    }
}


/* portfolio page design */
.portfolio {
    background-color: var(--sec-color);
    text-align: center;
}

.portfolio .latestProject-head {
    font-size: 40px;
    
}

.portfolio-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 20px;
    padding: 50px 10% 40px 10%;

}

.portfolio-box {
    position: relative;
    display: flex;
    border-radius: 30px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.322);
}
.portfolio-box img {
    width: 100%;
    transform: scale(1);
    transition: .3s ease;
}

.portfolio-box .portfolio-layer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 0 2rem;
    background: linear-gradient(rgba(0, 0, 0, .1), var(--main-color));
    transform: translateY(100%);
    transition: .3s ease;
}

.portfolio-box:hover .portfolio-layer {
    transform: translateY(0);
}

.portfolio-layer h4 {
    font-size: 30px;
    
}

.portfolio-layer p {
    font-size: 18px;
    padding: 1rem 0 1rem 0;
}

.portfolio-layer a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: var(--text-color);
    font-size: 30px;
    color: var(--bg-color);
}

.portfolio-box img:hover {
    transform: scale(1.2);
}

/* portfolio section media queries */

@media (max-width: 1920px){
    .portfolio .latestProject-head{
        font-size: 50px;
    }
    
}
@media (max-width: 1400px){
    .portfolio .latestProject-head{
        font-size: 40px;
    }
    .portfolio-layer h4{
        font-size: 25px;
    }
    .portfolio-layer p{
        font-size: 15px;
        padding: .5rem 0;
    }
    .portfolio-layer a{
        width: 40px;
        height: 40px;
        font-size: 25px;
    }
}
@media (max-width: 1200px){
    .portfolio-container{
        padding: 50px 2% 40px 2%;
    }
}
@media (max-width: 768px){
    .portfolio-container{
        padding: 50px 2% 40px 2%;
        grid-template-columns: repeat(2, 1fr);
    }
}
@media (max-width: 576px){
    .portfolio-container{
        padding: 50px 8% 40px 8%;
        grid-template-columns: repeat(1, 1fr);
    }
}

/* contact page style */
.contact {
    flex-direction: column;
    color: var(--text-color);
    text-align: center;
}

.contact h1 {
    font-size: 40px;

}

.contact-container {
    max-width: 70rem;
    text-align: center;
    margin: 1rem auto;
    margin-top: 50px;
}

.input-box {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

}
.input-box input,
textarea{
    background: #161922;
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    background-color: var(--sec-color);
    border-radius: .8rem;
    margin: .7rem 0;
}
textarea{
    resize: none;
    background: #161922;
}
.input-box input {
    width: 49%;
    background: #161922;
}

#sendMsg{
    margin-top: .5rem;
}

/* contact section media queries */

@media (max-width: 768px){
    .contact-container{
        max-width: 97%;
    }
    .contact{
        padding-left: 0;
        padding-right:0 ;
    }
}
@media (max-width: 576px){
    #education{
        height: fit-content;
    }
    #education .container{
        height: 100%;

    }
    .input-box input{
        background: #161922;
        width: 100%;
    }
}

/* footer style */

.footer {
    width: 100%;
    height: 25px;
    background-color: var(--sec-color);
    display: flex;
    justify-content: center;
    text-align: center;
    font-size: 20px;
    
}
@media (max-width: 576px){
    .footer{
        font-size: 15px;
    }
}
@media (max-width: 400px){
    .footer{
        font-size: 12px;
    }
}
#experience{
    height: fit-content;
}


/* section experience */



.timeline {
    position: relative;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    padding: 5rem;
    margin: 0 auto 1rem auto;
    overflow: hidden;
}
.timeline:after {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    margin-left: -2px;
    border-right: 2px dashed #4b546f;
    height: 100%;
    display: block;
}

.timeline-row {
    padding-left: 50%;
    position: relative;
    margin-bottom: 30px;
}
.timeline-row .timeline-time {
    position: absolute;
    right: 50%;
    top: 15px;
    text-align: right;
    margin-right: 20px;
    color: #bcd0f7;
    font-size: 2rem;
}
.timeline-row .timeline-time small {
    display: block;
    font-size: 0.8rem;
}
.timeline-row .timeline-content {
    position: relative;
    padding: 20px 30px;
    background: var(--sec-color);
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}
.timeline-row .timeline-content:after {
    content: "";
    position: absolute;
    top: 20px;
    height: 16px;
    width: 16px;
    background: var(--sec-color);
}
.timeline-row .timeline-content:before {
    content: "";
    position: absolute;
    top: 20px;
    right: -49px;
    width: 20px;
    height: 20px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    box-shadow: 0px 0px 10px #FFCC73;
    border-radius: 50%;
    z-index: 10;
    background: #FFCC73;
    /* border: 2px dashed #4b546f;
    border-collapse: unset; */
    
}
.timeline-row .timeline-content h4 {
    margin: 0 0 10px 0;
    text-align: center;
    width: 100%;
    font-size: 22px;
    color: var(--main-color);
    overflow: hidden;
    word-wrap: normal;
    text-overflow: ellipsis;
    line-height: 150%;
}
.timeline-row .timeline-content p {
    font-size: 16px;
    text-align: center;
}
.timeline-row .timeline-content i {
    font-size: 1.2rem;
    line-height: 100%;
    padding: 15px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
    background: #272e48;
    margin-bottom: 10px;
    display: inline-block;
}
.timeline-row .timeline-content .thumbs {
    margin-bottom: 20px;
    display: flex;
}
.timeline-row .timeline-content .thumbs img {
    margin: 5px;
    max-width: 60px;
}
.timeline-row .timeline-content .badge {
    color: #ffffff;
    background: linear-gradient(120deg, #00b5fd 0%, #0047b1 100%);
}
.timeline-row:nth-child(even) .timeline-content {
    margin-left: 40px;
    text-align: left;
}
.timeline-row:nth-child(even) .timeline-content:after {
    left: -8px;
    right: initial;
    border-bottom: 0;
    border-left: 0;
    transform: rotate(-135deg);
}
.timeline-row:nth-child(even) .timeline-content:before {
    left: -52px;
    right: initial;
}
.timeline-row:nth-child(odd) {
    padding-left: 0;
    padding-right: 50%;
}
.timeline-row:nth-child(odd) .timeline-time {
    right: auto;
    left: 50%;
    text-align: left;
    margin-right: 0;
    margin-left: 20px;
}
.timeline-row:nth-child(odd) .timeline-content {
    margin-right: 40px;
}
.timeline-row:nth-child(odd) .timeline-content:after {
    right: -8px;
    border-left: 0;
    border-bottom: 0;
    transform: rotate(45deg);
}

@media (max-width: 992px) {
    .timeline {
        padding: 15px;
    }
    .timeline:after {
        border: 0;
    }
    .timeline .timeline-row:nth-child(odd) {
        padding: 0;
    }
    .timeline .timeline-row:nth-child(odd) .timeline-time {
        position: relative;
        top: 0;
        left: 0;
        margin: 0 0 10px 0;
    }
    .timeline .timeline-row:nth-child(odd) .timeline-content {
        margin: 0;
    }
    .timeline .timeline-row:nth-child(odd) .timeline-content:before {
        display: none;
    }
    .timeline .timeline-row:nth-child(odd) .timeline-content:after {
        display: none;
    }
    .timeline .timeline-row:nth-child(even) {
        padding: 0;
    }
    .timeline .timeline-row:nth-child(even) .timeline-time {
        position: relative;
        top: 0;
        left: 0;
        margin: 0 0 10px 0;
        text-align: left;
    }
    .timeline .timeline-row:nth-child(even) .timeline-content {
        margin: 0;
    }
    .timeline .timeline-row:nth-child(even) .timeline-content:before {
        display: none;
    }
    .timeline .timeline-row:nth-child(even) .timeline-content:after {
        display: none;
    }
}
/* Modal styles */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
    z-index: 20;
  }
  
  .modal-content {
    background-color: var(--bg-color);
    margin:100px auto;
    padding: 10px;
    border: 1px solid #888;
    width: 80vw;
    border-radius: 8px;
  }
  
  .close {
    position: absolute;
    right: 20px;
    top: 0px;
    color: #ffffff;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
  }
  
  .close:hover {
    color: var(--main-color);
  }
  .modal-content h2{
    color: var(--main-color);
  }
  .modal-content p, .modal-content ul li{
    color: var(--text-color) !important;
  }
  .m-heading{
    font-weight: bold !important;
  }
  body.modal-open {
    overflow: hidden;
    height: 100vh; /* Optional: Locks viewport height to prevent jumps */
  }
  #aboutModal .modal-content{
    width: 60%;
    transform: translate(0%,0%) ;
    font-size: 18px;
    font-weight: normal;
  }
  #aboutModal .modal-content h2{
    font-size: 22px !important;
    font-weight: 700 !important;
  }
  @media (max-width: 992px) {
    #aboutModal .modal-content{
        font-size: 14px;
        width: 90%;}
}

  /* Modal Styling */
/* .modal {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.6);
  }
  
  .modal-content {
    background-color: #fff;
    margin: 10% auto;
    padding: 2rem;
    border-radius: 10px;
    width: 80%;
    max-width: 700px;
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
    animation: fadeIn 0.3s ease-in-out;
  }
  
  .close {
    color: #444;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
  }
  
  .close:hover {
    color: #000;
  }
  
  @keyframes fadeIn {
    from {opacity: 0;}
    to {opacity: 1;}
  }
   */